cURL
curl --request GET \
--url https://app.aegister.com/api/v1/organizations/{organizationid}/users \
--header 'X-Aegister-Token: <api-key>'import requests
url = "https://app.aegister.com/api/v1/organizations/{organizationid}/users"
headers = {"X-Aegister-Token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Aegister-Token': '<api-key>'}};
fetch('https://app.aegister.com/api/v1/organizations/{organizationid}/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"error": 0,
"messages": "<array>",
"total": 1,
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"username": "jsmith@example.com",
"email": "jsmith@example.com",
"first_name": "<string>",
"last_name": "<string>"
}
]
}{
"error": 0,
"messages": "<array>"
}{
"error": 0,
"messages": "<array>"
}Users
Get Organization user list
Retrieve Organization’s user list.
The authenticated user can retrieve the user list if is part of the organization and has at least Security Officer priviledges.
GET
/
api
/
v1
/
organizations
/
{organizationid}
/
users
cURL
Authorizations
ApiKeyAuthApiKeyQueryParam
Path Parameters
Response
Any value different from 0 indicates an error.
More details can be found in messages.
Required range:
0 <= x <= 0Example:
0
If error is 1, contains zero or more details on the error.
Example:
[]
Total number of items that meet the list filter.
This doesn't represent the number of items inside the data array.
Required range:
x >= 0Examples:
20
30
40
Show child attributes
Show child attributes
⌘I

